package resources

const ResourceRestaurant = "restaurant"

type Restaurant struct {
	Name         string
	Title        string
	ID           string
	Address      string
	Image        string
	OpeningHours any
}

func (r *Restaurant) Kind() string     { return ResourceRestaurant }
func (r *Restaurant) ItemName() string { return r.Name }

// Table output
func (r *Restaurant) ColumnNames() []string { return []string{"ID", "Title"} }
func (r *Restaurant) Columns() []any {
	return []any{r.ID, r.Title}
}
